Package org.springframework.batch.core.configuration.annotation

# Class AbstractBatchConfiguration

java.lang.Object
org.springframework.batch.core.configuration.annotation.AbstractBatchConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.annotation.ImportAware`

Direct Known Subclasses:
  `ModularBatchConfiguration`, `SimpleBatchConfiguration`

@Configuration(proxyBeanMethods=false) @Import(ScopeConfiguration.class) public abstract class AbstractBatchConfiguration extends Object implements org.springframework.context.annotation.ImportAware, org.springframework.beans.factory.InitializingBean
Base `Configuration` class providing common structure for enabling and using Spring Batch. Customization is available by implementing the `BatchConfigurer` interface. `BatchConfigurer`.

Since:
  2.2
Author:
  Dave Syer, Michael Minella, Mahmoud Ben Hassine
See Also:
  - `EnableBatchProcessing`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBatchConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterPropertiesSet()`
  `protected BatchConfigurer`
  `getConfigurer(Collection<BatchConfigurer> configurers)`
  `JobBuilderFactory`
  `jobBuilders()`
  `abstract JobExplorer`
  `jobExplorer()`
  `abstract JobLauncher`
  `jobLauncher()`
  `JobRegistry`
  `jobRegistry()`
  `abstract JobRepository`
  `jobRepository()`
  `void`
  `setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)`
  `StepBuilderFactory`
  `stepBuilders()`
  `abstract org.springframework.transaction.PlatformTransactionManager`
  `transactionManager()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractBatchConfiguration

    public AbstractBatchConfiguration()

- ## Method Details

  - ### jobBuilders

    @Bean public JobBuilderFactory jobBuilders() throws Exception
    Throws:
      `Exception`

  - ### stepBuilders

    @Bean public StepBuilderFactory stepBuilders() throws Exception
    Throws:
      `Exception`

  - ### jobRepository

    @Bean public abstract JobRepository jobRepository() throws Exception
    Throws:
      `Exception`

  - ### jobLauncher

    @Bean public abstract JobLauncher jobLauncher() throws Exception
    Throws:
      `Exception`

  - ### jobExplorer

    @Bean public abstract JobExplorer jobExplorer() throws Exception
    Throws:
      `Exception`

  - ### jobRegistry

    @Bean public JobRegistry jobRegistry() throws Exception
    Throws:
      `Exception`

  - ### transactionManager

    public abstract org.springframework.transaction.PlatformTransactionManager transactionManager() throws Exception
    Throws:
      `Exception`

  - ### setImportMetadata

    public void setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)
    Specified by:
      `setImportMetadata` in interface `org.springframework.context.annotation.ImportAware`

  - ### afterPropertiesSet

    public void afterPropertiesSet() throws Exception
    Specified by:
      `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
    Throws:
      `Exception`

  - ### getConfigurer

    protected BatchConfigurer getConfigurer(Collection<BatchConfigurer> configurers)